# S3 Bucket

### Creating a bucket (Standard) with minimal parameters

```
resources:
  # Standard Storage Class
  - type: aws_s3_bucket
    name: test-standard-bucket
    props:
      bucket_name: "test-standard-bucket"
```

#### Example price for above configuration

```
test-standard-bucket (action: create)
=> Price (Storage cost (Standard))
  => Tier 1 (First 50 TB - price: $0.023/GB-Mo)
  => Tier 2 (Next 450 TB - price: $0.022/GB-Mo)
  => Tier 3 (Over 500 TB - price: $0.021/GB-Mo)
=> Price (PUT/COPY/POST/LIST requests - price: $0.005/1K-Requests)
=> Price (GET and other requests - price: $0.004/10K-Requests)
```

### Creating a bucket (**Intelligent - Tiering**) with minimal parameters

```
resources:
  - type: aws_s3_bucket
    name: test-intelligent-tiering-bucket
    props:
      bucket_name: "test-intelligent-tiering-bucket"
      intelligent_tiering_configurations:
        - id: "EntireBucket"
          status: "Enabled"
```

#### Example price for above configuration

```
test-intelligent-tiering-bucket (action: create)
=> Price (Storage cost (Frequent Access))
  => Tier 1 (First 50 TB - price: $0.023/GB-Mo)
  => Tier 2 (Next 450 TB - price: $0.022/GB-Mo)
  => Tier 3 (Over 500 TB - price: $0.021/GB-Mo)
=> Price (Storage cost (Infrequent Access) - price: $0.0125/GB-Mo)
=> Price (Storage cost (Archive Instant Access) - price: $0.004/GB-Mo)
=> Price (Storage cost (Archive Access) - price: $0.0036/GB-Mo)
=> Price (Storage cost (Deep Archive Access) - price: $0.00099/GB-Mo)
=> Price (PUT/COPY/POST/LIST requests - price: $0.005/1K-Requests)
=> Price (GET and other requests - price: $0.004/10K-Requests)
```

### Creating a bucket (**Standard - IA**) with minimal parameters

```
resources:
  - type: aws_s3_bucket
    name: test-standard-ia-bucket
    props:
      bucket_name: "test-standard-ia-bucket"
      lifecycle_configuration:
        rules:
          - id: "transition-to-ia"
            status: "Enabled"
            transitions:
              - days: 30
                storage_class: "STANDARD_IA"
```

#### Example price for above configuration

```
test-standard-ia-bucket (action: create)
=> Price (Storage cost (Standard))
  => Tier 1 (First 50 TB - price: $0.023/GB-Mo)
  => Tier 2 (Next 450 TB - price: $0.022/GB-Mo)
  => Tier 3 (Over 500 TB - price: $0.021/GB-Mo)
=> Price (PUT/COPY/POST/LIST requests - price: $0.005/1K-Requests)
=> Price (GET and other requests - price: $0.004/10K-Requests)
=> Price (Storage cost (Standard-IA) - price: $0.0125/GB-Mo)
=> Price (PUT/COPY/POST/LIST requests (Standard-IA) - price: $0.01/1K-Requests)
=> Price (GET and other requests (Standard-IA) - price: $0.001/1K-Requests)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/aws/examples-resources-with-cost/s3/s3-bucket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
